Subject: Re: bug#56482: 29.0.50; shr displays <![if !supportLists]>...<![endif]> literally instead of dropping the tags

From: Visuwesh <[email-masked]>
Date: Mon, 11 Jul 2022 19:27:38 +0530

[திங்கள் ஜூலை 11, 2022] Lars Ingebrigtsen wrote:

> Perhaps the libxml people have "fixed" the parser to not be MSIE
> compatible any more?  Anybody know?  In which case, perhaps shr should
> do some pre-processing to remove the <![ things, but that'd be a
> bother...

I think it is a regression?  I tried the git blame interface in GNOME's
gitlab interface and the last commit that seems to touch the conditional
comments fun was from 4 months ago, and this commit is not in the 2.9.13
tag.

Git blame for the conditional comment fun:
https://gitlab.gnome.org/GNOME/libxml2/-/blame/master/parser.c#L6682

parser.c in 2.9.13 tag:
https://gitlab.gnome.org/GNOME/libxml2/-/blob/v2.9.13/parser.c

(see how it says last commit 5 months ago, whilst the latest relevant
commit according to git blame is 4 months ago.)